<mamecheat version="1">

  <cheat desc="Infinite Credits">
    <script state="run">
      <action>maincpu.pb@1088A1=09</action>
    </script>
  </cheat>

  <cheat desc="Infinite Time">
    <script state="run">
      <action>maincpu.pb@1084C9=63</action>
    </script>
  </cheat>

  <cheat desc="Finish this Round Now!">
    <script state="on">
      <action>maincpu.pb@1084C9=00</action>
    </script>
  </cheat>

  <cheat desc=" "/>

  <cheat desc="Infinite Energy PL1">
    <script state="run">
      <action>maincpu.pb@108DCC=01</action>
      <action>maincpu.pb@108DCD=4E</action>
    </script>
  </cheat>

  <cheat desc="Drain All Energy Now! PL1">
    <script state="on">
      <action>maincpu.pb@108DCC=00</action>
      <action>maincpu.pb@108DCD=00</action>
    </script>
  </cheat>

  <cheat desc=" "/>

  <cheat desc="Infinite Energy PL2">
    <script state="run">
      <action>maincpu.pb@108F7C=01</action>
      <action>maincpu.pb@108F7D=4E</action>
    </script>
  </cheat>

  <cheat desc="Drain All Energy Now! PL2">
    <script state="on">
      <action>maincpu.pb@108F7C=00</action>
      <action>maincpu.pb@108F7D=00</action>
    </script>
  </cheat>

  <cheat desc=" "/>
  <cheat desc="VS MODE CHEATS"/>
  <cheat desc=" "/>

  <cheat desc="Always have Wins = 0 [VS MODE] PL1">
    <script state="run">
      <action>maincpu.pb@108DD7=00</action>
    </script>
  </cheat>

  <cheat desc="Always have Wins = 2 [VS MODE] PL1"> <comment>As long as PL2 wins LT 2 then PL1 wins the the battle automatically at the end of round</comment>
    <script state="run">
      <action>maincpu.pb@108DD7=02</action>
    </script>
  </cheat>

  <cheat desc="Set Wins = 0 Now! [VS MODE] PL1">
    <script state="on">
      <action>maincpu.pb@108DD7=00</action>
    </script>
  </cheat>

  <cheat desc="Set Wins = 1 Now! [VS MODE] PL1">
    <script state="on">
      <action>maincpu.pb@108DD7=01</action>
    </script>
  </cheat>

  <cheat desc="Set Wins = 2 Now! [VS MODE] PL1"> <comment>As long as PL2 wins LT 2 then PL1 wins the battle automatically at the end of round</comment>
    <script state="on">
      <action>maincpu.pb@108DD7=02</action>
    </script>
  </cheat>

  <cheat desc=" "/>

  <cheat desc="Always have Wins = 0 [VS MODE] PL2">
    <script state="run">
      <action>maincpu.pb@108F87=00</action>
    </script>
  </cheat>

  <cheat desc="Always have Wins = 2 [VS MODE] PL2"> <comment>As long as PL1 wins LT 2 then PL2 wins the the battle automatically at the end of round</comment>
    <script state="run">
      <action>maincpu.pb@108F87=02</action>
    </script>
  </cheat>

  <cheat desc="Set Wins = 0 Now! [VS MODE] PL2">
    <script state="on">
      <action>maincpu.pb@108F87=00</action>
    </script>
  </cheat>

  <cheat desc="Set Wins = 1 Now! [VS MODE] PL2">
    <script state="on">
      <action>maincpu.pb@108F87=01</action>
    </script>
  </cheat>

  <cheat desc="Set Wins = 2 Now! [VS MODE] PL2"> <comment>As long as PL1 wins LT 2 then PL2 wins the battle automatically at the end of round</comment>
    <script state="on">
      <action>maincpu.pb@108F87=02</action>
    </script>
  </cheat>

  <cheat desc=" "/>
  <cheat desc="STORY MODE CHEATS"/>
  <cheat desc=" "/>

  <cheat desc="Drain All Enemy Energy Now! [STORY MODE]">
    <script state="on">
      <action>maincpu.pb@10912C=00</action>
      <action>maincpu.pb@10912D=00</action>
    </script>
  </cheat>

  <cheat desc="Infinite Lives [STORY MODE] PL1">
    <script state="run">
      <action>maincpu.pb@108DD8=09</action>
    </script>
  </cheat>

  <cheat desc="Infinite Lives [STORY MODE] PL2">
    <script state="run">
      <action>maincpu.pb@108F88=09</action>
    </script>
  </cheat>

</mamecheat>
<!-- Cheat file downloaded from http://www.mamecheat.co.uk, see cheat.txt for list of contributors. -->
